package com.bocloud.cmp.model;

public class ServerConfigBean {
    private Long id; // ID
    private String username;
    private String password;
    private String ipmiAccount;
    private String ipmiPassword;
    private String ipmiAddress;
    private Integer ipmiPort;
    private Integer sshPort;

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the username
     */
    public String getUsername() {
        return username;
    }

    /**
     * @param username the username to set
     */
    public void setUsername(String username) {
        this.username = username;
    }

    /**
     * @return the password
     */
    public String getPassword() {
        return password;
    }

    /**
     * @param password the password to set
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * @return the ipmiAccount
     */
    public String getIpmiAccount() {
        return ipmiAccount;
    }

    /**
     * @param ipmiAccount the ipmiAccount to set
     */
    public void setIpmiAccount(String ipmiAccount) {
        this.ipmiAccount = ipmiAccount;
    }

    /**
     * @return the ipmiPassword
     */
    public String getIpmiPassword() {
        return ipmiPassword;
    }

    /**
     * @param ipmiPassword the ipmiPassword to set
     */
    public void setIpmiPassword(String ipmiPassword) {
        this.ipmiPassword = ipmiPassword;
    }

    /**
     * @return the ipmiAddress
     */
    public String getIpmiAddress() {
        return ipmiAddress;
    }

    /**
     * @param ipmiAddress the ipmiAddress to set
     */
    public void setIpmiAddress(String ipmiAddress) {
        this.ipmiAddress = ipmiAddress;
    }

    /**
     * @return the ipmiPort
     */
    public Integer getIpmiPort() {
        return ipmiPort;
    }

    /**
     * @param ipmiPort the ipmiPort to set
     */
    public void setIpmiPort(Integer ipmiPort) {
        this.ipmiPort = ipmiPort;
    }

    /**
     * @return the sshPort
     */
    public Integer getSshPort() {
        return sshPort;
    }

    /**
     * @param sshPort the sshPort to set
     */
    public void setSshPort(Integer sshPort) {
        this.sshPort = sshPort;
    }
}
